Total Access Docs
Openapi

Create outbound webhook

POST
/api/v1/integrations/webhooks/outbound

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Header Parameters

X-API-Version?string

Date-based minor version negotiation (e.g. 2026-07-01). If omitted, the latest version is used.

Match^\d{4}-\d{2}-\d{2}$
Idempotency-Key?string

UUID v4 or arbitrary string (max 255 chars) to prevent duplicate processing of retried requests. When the same key is sent with the same request body, the original response is returned with an X-Idempotent-Replay: true header. If the same key is sent with a different body, a 409 Conflict is returned.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/integrations/webhooks/outbound" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "url": "http://example.com",    "auth_type": "hmac",    "events": [      "string"    ]  }'
{  "success": true,  "data": {    "id": 0,    "name": "string",    "url": "http://example.com",    "auth_type": "hmac",    "events": [      "string"    ],    "is_active": true,    "retry_count": 0,    "timeout_seconds": 0,    "created_at": "2019-08-24T14:15:22Z"  }}